Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.convention
Class SEOActionNameBuilder

    java.lang.Object
      org.apache.struts2.convention.SEOActionNameBuilder

All Implemented Interfaces:
  ActionNameBuilder

    public class SEOActionNameBuilder

extends Object
implements ActionNameBuilder

This class converts the class name into a SEO friendly name by recognizing camel casing and inserting dashes. This also converts everything to lower case if desired. And this will also strip off the word Action from the class name.

Constructor Summary
`SEOActionNameBuilder(String lowerCase, String separator)`

Method Summary
`String` | `build(String className)` Given the name of the class, this method should build an action name.
`void` | `setActionSuffix(String actionSuffix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SEOActionNameBuilder

    public SEOActionNameBuilder(String lowerCase,
                                String separator)

Method Detail

### setActionSuffix

    public void setActionSuffix(String actionSuffix)

  Parameters:
    `actionSuffix` - (Optional) Classes that end with these value will be mapped as actions (defaults to "Action")

### build

    public String build(String className)

  Description copied from interface: `ActionNameBuilder`
  Given the name of the class, this method should build an action name.

  Specified by:
    `build` in interface `ActionNameBuilder`
  Parameters:
    `className` - The class name.
  Returns:
    The action name and never null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.